Create a new Opsgenie account

POST https://api.ap1.datadoghq.com/api/v2/integration/opsgenie/accountshttps://api.ap2.datadoghq.com/api/v2/integration/opsgenie/accountshttps://api.datadoghq.eu/api/v2/integration/opsgenie/accountshttps://api.ddog-gov.com/api/v2/integration/opsgenie/accountshttps://api.us2.ddog-gov.com/api/v2/integration/opsgenie/accountshttps://api.uk1.datadoghq.com/api/v2/integration/opsgenie/accountshttps://api.datadoghq.com/api/v2/integration/opsgenie/accountshttps://api.us3.datadoghq.com/api/v2/integration/opsgenie/accountshttps://api.us5.datadoghq.com/api/v2/integration/opsgenie/accounts

개요

Datadog Opsgenie 통합에서 새 Opsgenie 계정을 생성합니다. This endpoint requires the manage_integrations permission.

요청

Body Data (required)

Opsgenie 계정 페이로드입니다.

Expand All

항목

유형

설명

data [required]

object

Opsgenie account data for a create request.

attributes [required]

object

The Opsgenie account attributes for a create request.

api_key [required]

string

The Opsgenie API key for your Opsgenie account.

region [required]

enum

The region for the Opsgenie service. Allowed enum values: us,eu,custom

type [required]

enum

Opsgenie account resource type. Allowed enum values: opsgenie-account

default: opsgenie-account

{
  "data": {
    "attributes": {
      "api_key": "00000000-0000-0000-0000-000000000000",
      "region": "us"
    },
    "type": "opsgenie-account"
  }
}

응답

CREATED

Response containing an Opsgenie account.

Expand All

항목

유형

설명

data [required]

object

Opsgenie account data from a response.

attributes [required]

object

The attributes from an Opsgenie account response.

region

enum

The region for the Opsgenie service. Allowed enum values: us,eu,custom

id [required]

string

The ID of the Opsgenie account.

type [required]

enum

Opsgenie account resource type. Allowed enum values: opsgenie-account

default: opsgenie-account

{
  "data": {
    "attributes": {
      "region": "us"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "opsgenie-account"
  }
}

Bad Request

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

코드 예시

                  ## default
# 

# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/opsgenie/accounts" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "data": { "attributes": { "api_key": "00000000-0000-0000-0000-000000000000", "region": "us" }, "type": "opsgenie-account" } } EOF
"""
Create a new Opsgenie account returns "CREATED" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.opsgenie_integration_api import OpsgenieIntegrationApi
from datadog_api_client.v2.model.opsgenie_account_create_attributes import OpsgenieAccountCreateAttributes
from datadog_api_client.v2.model.opsgenie_account_create_data import OpsgenieAccountCreateData
from datadog_api_client.v2.model.opsgenie_account_create_request import OpsgenieAccountCreateRequest
from datadog_api_client.v2.model.opsgenie_account_type import OpsgenieAccountType
from datadog_api_client.v2.model.opsgenie_service_region_type import OpsgenieServiceRegionType

body = OpsgenieAccountCreateRequest(
    data=OpsgenieAccountCreateData(
        attributes=OpsgenieAccountCreateAttributes(
            api_key="00000000-0000-0000-0000-000000000000",
            region=OpsgenieServiceRegionType.US,
        ),
        type=OpsgenieAccountType.OPSGENIE_ACCOUNT,
    ),
)

configuration = Configuration()
configuration.access_token = environ["DD_BEARER_TOKEN"]
with ApiClient(configuration) as api_client:
    api_instance = OpsgenieIntegrationApi(api_client)
    response = api_instance.create_opsgenie_account(body=body)

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
# Create a new Opsgenie account returns "CREATED" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.access_token = ENV["DD_BEARER_TOKEN"]
end
api_instance = DatadogAPIClient::V2::OpsgenieIntegrationAPI.new

body = DatadogAPIClient::V2::OpsgenieAccountCreateRequest.new({
  data: DatadogAPIClient::V2::OpsgenieAccountCreateData.new({
    attributes: DatadogAPIClient::V2::OpsgenieAccountCreateAttributes.new({
      api_key: "00000000-0000-0000-0000-000000000000",
      region: DatadogAPIClient::V2::OpsgenieServiceRegionType::US,
    }),
    type: DatadogAPIClient::V2::OpsgenieAccountType::OPSGENIE_ACCOUNT,
  }),
})
p api_instance.create_opsgenie_account(body)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" rb "example.rb"
// Create a new Opsgenie account returns "CREATED" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.OpsgenieAccountCreateRequest{
		Data: datadogV2.OpsgenieAccountCreateData{
			Attributes: datadogV2.OpsgenieAccountCreateAttributes{
				ApiKey: "00000000-0000-0000-0000-000000000000",
				Region: datadogV2.OPSGENIESERVICEREGIONTYPE_US,
			},
			Type: datadogV2.OPSGENIEACCOUNTTYPE_OPSGENIE_ACCOUNT,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	ctx = context.WithValue(ctx, datadog.ContextAccessToken, os.Getenv("DD_BEARER_TOKEN"))
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOpsgenieIntegrationApi(apiClient)
	resp, r, err := api.CreateOpsgenieAccount(ctx, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OpsgenieIntegrationApi.CreateOpsgenieAccount`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OpsgenieIntegrationApi.CreateOpsgenieAccount`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
// Create a new Opsgenie account returns "CREATED" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OpsgenieIntegrationApi;
import com.datadog.api.client.v2.model.OpsgenieAccountCreateAttributes;
import com.datadog.api.client.v2.model.OpsgenieAccountCreateData;
import com.datadog.api.client.v2.model.OpsgenieAccountCreateRequest;
import com.datadog.api.client.v2.model.OpsgenieAccountResponse;
import com.datadog.api.client.v2.model.OpsgenieAccountType;
import com.datadog.api.client.v2.model.OpsgenieServiceRegionType;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));
    OpsgenieIntegrationApi apiInstance = new OpsgenieIntegrationApi(defaultClient);

    OpsgenieAccountCreateRequest body =
        new OpsgenieAccountCreateRequest()
            .data(
                new OpsgenieAccountCreateData()
                    .attributes(
                        new OpsgenieAccountCreateAttributes()
                            .apiKey("00000000-0000-0000-0000-000000000000")
                            .region(OpsgenieServiceRegionType.US))
                    .type(OpsgenieAccountType.OPSGENIE_ACCOUNT));

    try {
      OpsgenieAccountResponse result = apiInstance.createOpsgenieAccount(body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling OpsgenieIntegrationApi#createOpsgenieAccount");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
// Create a new Opsgenie account returns "CREATED" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_opsgenie_integration::OpsgenieIntegrationAPI;
use datadog_api_client::datadogV2::model::OpsgenieAccountCreateAttributes;
use datadog_api_client::datadogV2::model::OpsgenieAccountCreateData;
use datadog_api_client::datadogV2::model::OpsgenieAccountCreateRequest;
use datadog_api_client::datadogV2::model::OpsgenieAccountType;
use datadog_api_client::datadogV2::model::OpsgenieServiceRegionType;

#[tokio::main]
async fn main() {
    let body = OpsgenieAccountCreateRequest::new(OpsgenieAccountCreateData::new(
        OpsgenieAccountCreateAttributes::new(
            "00000000-0000-0000-0000-000000000000".to_string(),
            OpsgenieServiceRegionType::US,
        ),
        OpsgenieAccountType::OPSGENIE_ACCOUNT,
    ));
    let configuration = datadog::Configuration::new();
    let api = OpsgenieIntegrationAPI::with_config(configuration);
    let resp = api.create_opsgenie_account(body).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Create a new Opsgenie account returns "CREATED" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration({
  authMethods: {
    AuthZ: {
      accessToken: process.env.DD_BEARER_TOKEN as string,
    },
  },
});
const apiInstance = new v2.OpsgenieIntegrationApi(configuration);

const params: v2.OpsgenieIntegrationApiCreateOpsgenieAccountRequest = {
  body: {
    data: {
      attributes: {
        apiKey: "00000000-0000-0000-0000-000000000000",
        region: "us",
      },
      type: "opsgenie-account",
    },
  },
};

apiInstance
  .createOpsgenieAccount(params)
  .then((data: v2.OpsgenieAccountResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" tsc "example.ts"